# gsth265bitwriter

## Functions

### gst_h265_bit_writer_aud

    GstH265BitWriterResult
    gst_h265_bit_writer_aud (guint8 pic_type,
                             gboolean start_code,
                             guint8* data,
                             guint* size)

Generating the according h265 bit stream of an aud.

Parameters:

`pic_type` –

indicate the possible slice types list just as the H265 spec Table 7-2 defines

`start_code` –

whether adding the nal start code

`data` –

the bit stream generated by the aud

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_convert_to_nal

    GstH265BitWriterResult
    gst_h265_bit_writer_convert_to_nal (guint nal_prefix_size,
                                        gboolean packetized,
                                        gboolean has_startcode,
                                        gboolean add_trailings,
                                        guint8* raw_data,
                                        gsize raw_size,
                                        guint8* nal_data,
                                        guint* nal_size)

Converting a bit stream into a real nal packet. If the bit stream already has a start code, it will be replaced by the new one specified by the nal_prefix_size and packetized. It is assured that the output aligns to the byte and the all the emulations are inserted.

Parameters:

`nal_prefix_size` –

the size in bytes for the prefix of a nal, may be 2, 3 or 4

`packetized` –

whether to write the bit stream in packetized format, which does not have the start code but has a nal_prefix_size bytes' size prepending to the real nal data

`has_startcode` –

whether the input already has a start code

`add_trailings` –

whether to add rbsp trailing bits to make the output aligned to byte

`raw_data` –

the input bit stream

`raw_size` –

the size in bits of the input bit stream

`nal_data` –

the output bit stream converted to a real nal

`nal_size` –

the size in bytes of the output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_pps

    GstH265BitWriterResult
    gst_h265_bit_writer_pps (GstH265PPS * pps,
                             gboolean start_code,
                             guint8* data,
                             guint* size)

Generating the according h265 bit stream by providing the pps.

Parameters:

`pps` –

the pps of GstH265PPS to write

`start_code` –

whether adding the nal start code

`data` –

the bit stream generated by the pps

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_sei

    GstH265BitWriterResult
    gst_h265_bit_writer_sei (GArray * sei_messages,
                             GstH265NalUnitType nal_type,
                             gboolean start_code,
                             guint8* data,
                             guint* size)

Generating the according h265 bit stream by providing sei messages.

Parameters:

`sei_messages` –

An array of GstH265SEIMessage to write

`nal_type` –
No description available
`start_code` –

whether adding the nal start code

`data` –

the bit stream generated by the sei messages

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_slice_hdr

    GstH265BitWriterResult
    gst_h265_bit_writer_slice_hdr (GstH265SliceHdr * slice,
                                   gboolean start_code,
                                   guint32 nal_type,
                                   guint8* data,
                                   guint* size)

Generating the according h265 bit stream by providing the slice header.

Parameters:

`slice` –

the slice header of GstH265SliceHdr to write

`start_code` –

whether adding the nal start code

`nal_type` –

the slice's nal type of GstH265NalUnitType

`data` –

the bit stream generated by the slice header

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_sps

    GstH265BitWriterResult
    gst_h265_bit_writer_sps (GstH265SPS * sps,
                             gboolean start_code,
                             guint8* data,
                             guint* size)

Generating the according h265 bit stream by providing the sps.

Parameters:

`sps` –

the sps of GstH265SPS to write

`start_code` –

whether adding the nal start code

`data` –

the bit stream generated by the sps

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

### gst_h265_bit_writer_vps

    GstH265BitWriterResult
    gst_h265_bit_writer_vps (GstH265VPS * vps,
                             gboolean start_code,
                             guint8* data,
                             guint* size)

Generating the according h265 bit stream by providing the vps.

Parameters:

`vps` –

the vps of GstH265VPS to write

`start_code` –

whether adding the nal start code

`data` –

the bit stream generated by the sps

`size` –

the size in bytes of the input and output

Returns (GstH265BitWriterResult) –

a GstH265BitWriterResult

Since : 1.22

## Aliases

### GstH265BitWriterResult

    typedef enum GstH265BitWriterResult GstH265BitWriterResult

The result of writing H265 data into bit stream.

Since : 1.22

The results of the search are